wxWidgets: wxContextHelpButton Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxContextHelpButton Class Reference
Class List by Category » Help

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/cshelp.h>`

Inheritance diagram for wxContextHelpButton:
[legend]

## Detailed Description

Instances of this class may be used to add a question mark button that when pressed, puts the application into context-help mode.

It does this by creating a wxContextHelp object which itself generates a `wxEVT_HELP` event when the user clicks on a window.

On Windows, you may add a question-mark icon to a dialog by use of the wxDIALOG_EX_CONTEXTHELP extra style, but on other platforms you will have to add a button explicitly, usually next to OK, Cancel or similar buttons.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxBitmapButton, wxContextHelp

## Public Member Functions
| wxContextHelpButton (wxWindow *parent, wxWindowID id=wxID_CONTEXT_HELP, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxBU_AUTODRAW)
| Constructor, creating and showing a context help button. More...

## Constructor & Destructor Documentation

## ◆ wxContextHelpButton()

wxContextHelpButton::wxContextHelpButton | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_CONTEXT_HELP`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxBU_AUTODRAW`
| ) |  |

Constructor, creating and showing a context help button.

Parameters

  parent | Parent window. Must not be NULL.
  id | Button identifier. Defaults to wxID_CONTEXT_HELP.
  pos | Button position. If wxDefaultPosition is specified then a default position is chosen.
  size | Button size. If wxDefaultSize is specified then the button is sized appropriately for the question mark bitmap.
  style | Window style.

Remarks
  Normally you only need pass the parent window to the constructor, and use the defaults for the remaining parameters.